var userRealname;
appcan.button("#nav-left", "btn-act", function() {
    appcan.window.close(-1);
});

appcan.ready(function() {
    userInfo();
    uexXmlHttpMgr.onData = httpSuccess;
})
function userInfo() {
    $("#realname")[0].value = appcan.locStorage.val('realName');
    $("#name")[0].innerHTML = appcan.locStorage.val('userName');
    $("#phone")[0].innerHTML = appcan.locStorage.val('telephone');
}

function phone() {
    appcan.window.open("myInfo_changephone", "myInfo_changephone.html", 10)
}

appcan.button("#commit", "btn-act", function() {
    var userId = appcan.locStorage.val('userId');
    userRealname = $('#realname').val();
    var userRealnamelen = userRealname.replace(/[\u0391-\uFFE5]/g, "aa").length;
    if (userRealnamelen < 1) {

        appcan.window.alert({
            title : '提示信息',
            content : '昵称不能为空',
            buttons : '确定',
        });
        return;
    }
    if (userRealnamelen > 10) {

        appcan.window.alert({
            title : '提示信息',
            content : '昵称最大输入16个汉字或32个字符',
            buttons : '确定',
        });
        return;
    }
    var dc = new ep.DataCenter();
    var sip = appcan.locStorage.val('sip');
    var postUrl = "http://" + sip + "/eapp/eapp/eapp.pfop.sources.Ref/to?act=updateUserRealName";
    uexXmlHttpMgr.open(1, "POST", postUrl, "6000");
    var RASuserId = RSASign(userId);
    var RASuserRealname = RSASign(userRealname);
    var vertify = addSign(userId+""+userRealname);
    dc.setParameter("USER_ID", RASuserId);
    dc.setParameter("USER_RNAME", userRealname);
    dc.setParameter("vertify", vertify);
    dc.setParameter("signStr", signStr);

    uexXmlHttpMgr.setPostData(1, "0", "data", dc.toJson());
    uexXmlHttpMgr.send(1);
});
function httpSuccess(opid, state, result) {
    uexXmlHttpMgr.close(opid);
    console.log(result)
    if (opid == 1) {
        var data = jq.isString(result) ? jq.fromJson(result) : result;

        var dc = new ep.DataCenter(data);

        var returnvalue = dc.getParameter("strResult");
        //flag 0是成功 1是失败
        if (returnvalue == "1") {
            appcan.window.alert({
                title : '提示信息',
                content : '保存失败',
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            });
        } else {
            appcan.locStorage.setVal('realName',userRealname);
            appcan.window.alert({
                title : '提示信息',
                content : '保存成功',
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
                    appcan.window.evaluatePopoverScript({
                        name : 'root',
                        popName : 'content',
                        scriptContent : 'titleInfo()'
                    });
                }
            });
        };
    }
}

appcan.button("#exit", "btn-act", function() {
    appcan.locStorage.remove('identifier');
    appcan.locStorage.remove('userId');
    appcan.locStorage.remove('userName');
    appcan.locStorage.remove('password');
    appcan.locStorage.remove('realName');
    appcan.locStorage.remove('telephone');
    appcan.locStorage.remove('consNo');
    appcan.locStorage.remove('consName');
    appcan.locStorage.remove('elecAddr');
    appcan.locStorage.remove('orgNo');
    appcan.window.open('login', '../01login/login.html', 10);
    appcan.window.evaluatePopoverScript({
        name : 'root',
        popName : 'content',
        scriptContent : 'titleInfo()'
    });
    appcan.window.close(-1);
});
